<template>
  <!--  <div class="public-chart">-->
  <div style="width:800px;height:200px;" ref="publicChart"></div>
  <!--  </div>-->
</template>

<script>
export default {
  name: 'PublicChart',
  props: {
    propsData: {
      type: Object,
      default: () => {
        return {}
      }
    }
  },
  data () {
    return {
      publicChart: null
    }
  },
  mounted () {
    this.$nextTick(() => {
      this.publicChart = this.$echarts.init(this.$refs.publicChart)
      this.publicChart.clear()
      this.publicChart.setOption(this.propsData)
      window.onresize = this.publicChart.resize()
    })
  },
  methods: {}
}
</script>

<style lang="less" scoped>

</style>
